Bug 437328 - Search doesn't use beagle.
Search doesn't use beagle.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yelp (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-13 11:49 EDT by sangu
Modified: 2008-04-09 23:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 23:40:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 511244 None None None Never

  None (edit)
Description sangu 2008-03-13 11:49:09 EDT
Description of problem:
Search doesn't use beagle.

http://cvs.fedora.redhat.com/viewcvs/devel/yelp/yelp.spec?rev=1.130&view=auto
[...]
$configure \
 --enable-search \
[...]

http://koji.fedoraproject.org/packages/yelp/2.22.0/1.fc9/data/logs/i386/build.log
[...]
checking for YELP_SEARCH... no
[...]
yelp-2.22.0:
[...]
	Search backend:           auto - basic
[...]

Version-Release number of selected component (if applicable):
2.22.0-1.fc9.i386

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
beagle-0.3.3-8.fc9.i386
libbeagle-0.3.0-4.fc9.i386
See Also:
http://bugzilla.gnome.org/show_bug.cgi?id=511244 : Update beagle to use new API
Comment 1 Matthew Barnes 2008-03-13 14:23:30 EDT
I added the second patch from the upstream bug to yelp-2.20.0-2.fc9.

I don't use Beagle myself so I haven't tested it.  Let me know if it works.
Comment 2 sangu 2008-03-31 09:11:44 EDT
in http://koji.fedoraproject.org/packages/yelp/2.22.0/2.fc9/data/logs/i386/build.log
checking for YELP_SEARCH... no

It seems that configure doesn't check libbeagle 0.3.X.

gnomebug 511244 New patch http://bugzilla.gnome.org/attachment.cgi?id=108104

Comment 3 Matthew Barnes 2008-03-31 10:36:08 EDT
Gah, I missed the patch for the configure script.

yelp-0.22.0-3.fc9 built with the patch you referenced.

Changing status to MODIFIED AGAIN.

Note You need to log in before you can comment on or make changes to this bug.